{ config, pkgs, lib, ... }:

{
  nixpkgs.overlays = lib.singleton
  (self: super:
    { maxwell-notify = self.callPackage ./custom/packages/maxwell-notify.nix
        { homeserver = "https://${config.var.hostname}/_matrix/client/r0";
          roomId     = "!FsUSHSNMPMVTFFcvJo:maxwell.ydns.eu";
          authToken  = config.secrets.passwords.matrix;
        };
      haskellPackages = super.haskellPackages.extend (hself: hsuper:
        { namecoin-update =  hself.callCabal2nix "namecoin-update" (builtins.fetchTarball {
            url = "https://hackage.haskell.org/package/namecoin-update-0.2.3.0/namecoin-update-0.2.3.0.tar.gz";
          }) {};
        });
    });

  environment.systemPackages = with pkgs; [
    # utilities
    iftop curl tree neovim
    nix-script openssl
    jq ack sshfs abduco

    # backup
    bup git nfs-utils

    # admin
    dnsutils
    matrix-synapse
    maxwell-notify
    smartmontools
  ];

}
